<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSLFSlideShowImpl (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSLFSlideShowImpl (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":9,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSLFSlideShowImpl.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowFactory.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSoundData.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html" target="_top">Frames</a>
        </li>
        <li><a href="HSLFSlideShowImpl.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.usermodel</div>
    <h2 title="Class HSLFSlideShowImpl" class="title">Class HSLFSlideShowImpl</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/POIDocument.html" title="class in org.apache.poi">org.apache.poi.POIDocument</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hslf.usermodel.HSLFSlideShowImpl</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Closeable, java.lang.AutoCloseable</dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">HSLFSlideShowImpl</span>
extends <a href="../../../../../org/apache/poi/POIDocument.html" title="class in org.apache.poi">POIDocument</a>
implements java.io.Closeable</pre>
                <div class="block">This class contains the main functionality for the Powerpoint file
                    "reader". It is only a very basic class for now
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html#HSLFSlideShowImpl-org.apache.poi.poifs.filesystem.DirectoryNode-">HSLFSlideShowImpl</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;dir)</code>
                                    <div class="block">Constructs a Powerpoint document from a specific point in a
                                        POIFS Filesystem.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html#HSLFSlideShowImpl-java.io.InputStream-">HSLFSlideShowImpl</a></span>(java.io.InputStream&nbsp;inputStream)</code>
                                    <div class="block">Constructs a Powerpoint document from an input stream.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html#HSLFSlideShowImpl-org.apache.poi.poifs.filesystem.POIFSFileSystem-">HSLFSlideShowImpl</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;filesystem)</code>
                                    <div class="block">Constructs a Powerpoint document from a POIFS Filesystem.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html#HSLFSlideShowImpl-java.lang.String-">HSLFSlideShowImpl</a></span>(java.lang.String&nbsp;fileName)</code>
                                    <div class="block">Constructs a Powerpoint document from fileName.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html#addPicture-org.apache.poi.hslf.usermodel.HSLFPictureData-">addPicture</a></span>(<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a>&nbsp;img)</code>
                                    <div class="block">Add a new picture to this presentation.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html#appendRootLevelRecord-org.apache.poi.hslf.record.Record-">appendRootLevelRecord</a></span>(<a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a>&nbsp;newRecord)</code>
                                    <div class="block">Adds a new root level record, at the end, but before the last
                                        PersistPtrIncrementalBlock.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html#close--">close</a></span>()</code>
                                    <div class="block">Closes the underlying <a
                                            href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                            title="class in org.apache.poi.poifs.filesystem"><code>POIFSFileSystem</code></a>
                                        from which
                                        the document was read, if any.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFSlideShowImpl</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html#create--">create</a></span>()</code>
                                    <div class="block">Constructs a new, empty, Powerpoint document.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/record/CurrentUserAtom.html"
                                        title="class in org.apache.poi.hslf.record">CurrentUserAtom</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html#getCurrentUserAtom--">getCurrentUserAtom</a></span>()</code>
                                    <div class="block">Fetch the Current User Atom of the document</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/record/DocumentEncryptionAtom.html"
                                        title="class in org.apache.poi.hslf.record">DocumentEncryptionAtom</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html#getDocumentEncryptionAtom--">getDocumentEncryptionAtom</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFObjectData.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFObjectData</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html#getEmbeddedObjects--">getEmbeddedObjects</a></span>()</code>
                                    <div class="block">Gets embedded object data from the slide show.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>protected java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html#getEncryptedPropertyStreamName--">getEncryptedPropertyStreamName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html"
                                        title="class in org.apache.poi.poifs.crypt">EncryptionInfo</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html#getEncryptionInfo--">getEncryptionInfo</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html#getPictureData--">getPictureData</a></span>()</code>
                                    <div class="block">Return list of pictures contained in this presentation</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html#getRecords--">getRecords</a></span>()</code>
                                    <div class="block">Returns an array of all the records found in the slideshow</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html#getUnderlyingBytes--">getUnderlyingBytes</a></span>()</code>
                                    <div class="block">Returns an array of the bytes of the file.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html#normalizeRecords--">normalizeRecords</a></span>()</code>
                                    <div class="block">remove duplicated UserEditAtoms and merge PersistPtrHolder,
                                        i.e.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html#updateAndWriteDependantRecords-java.io.OutputStream-java.util.Map-">updateAndWriteDependantRecords</a></span>(java.io.OutputStream&nbsp;os,
                                    java.util.Map&lt;<a
                                            href="../../../../../org/apache/poi/hslf/record/RecordTypes.html"
                                            title="enum in org.apache.poi.hslf.record">RecordTypes</a>,<a
                                            href="../../../../../org/apache/poi/hslf/record/PositionDependentRecord.html"
                                            title="interface in org.apache.poi.hslf.record">PositionDependentRecord</a>&gt;&nbsp;interestingRecords)</code>
                                    <div class="block">This is a helper functions, which is needed for adding new
                                        position dependent records
                                        or finally write the slideshow to a file.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html#write--">write</a></span>()</code>
                                    <div class="block">Writes out the slideshow to the currently open file.</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html#write-java.io.File-">write</a></span>(java.io.File&nbsp;newFile)</code>
                                    <div class="block">Writes out the slideshow file the is represented by an instance
                                        of this class.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html#write-java.io.File-boolean-">write</a></span>(java.io.File&nbsp;newFile,
                                    boolean&nbsp;preserveNodes)</code>
                                    <div class="block">Writes out the slideshow file the is represented by an instance
                                        of this class.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html#write-java.io.OutputStream-">write</a></span>(java.io.OutputStream&nbsp;out)</code>
                                    <div class="block">Writes out the slideshow file the is represented by an instance
                                        of this class.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html#write-java.io.OutputStream-boolean-">write</a></span>(java.io.OutputStream&nbsp;out,
                                    boolean&nbsp;preserveNodes)</code>
                                    <div class="block">Writes out the slideshow file the is represented by an instance
                                        of this class.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.org.apache.poi.POIDocument">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.<a
                                        href="../../../../../org/apache/poi/POIDocument.html"
                                        title="class in org.apache.poi">POIDocument</a></h3>
                                <code><a href="../../../../../org/apache/poi/POIDocument.html#clearDirectory--">clearDirectory</a>,
                                    <a href="../../../../../org/apache/poi/POIDocument.html#createInformationProperties--">createInformationProperties</a>,
                                    <a href="../../../../../org/apache/poi/POIDocument.html#getDirectory--">getDirectory</a>,
                                    <a href="../../../../../org/apache/poi/POIDocument.html#getDocumentSummaryInformation--">getDocumentSummaryInformation</a>,
                                    <a href="../../../../../org/apache/poi/POIDocument.html#getPropertySet-java.lang.String-">getPropertySet</a>,
                                    <a href="../../../../../org/apache/poi/POIDocument.html#getPropertySet-java.lang.String-org.apache.poi.poifs.crypt.EncryptionInfo-">getPropertySet</a>,
                                    <a href="../../../../../org/apache/poi/POIDocument.html#getSummaryInformation--">getSummaryInformation</a>,
                                    <a href="../../../../../org/apache/poi/POIDocument.html#initDirectory--">initDirectory</a>,
                                    <a href="../../../../../org/apache/poi/POIDocument.html#readProperties--">readProperties</a>,
                                    <a href="../../../../../org/apache/poi/POIDocument.html#replaceDirectory-org.apache.poi.poifs.filesystem.DirectoryNode-">replaceDirectory</a>,
                                    <a href="../../../../../org/apache/poi/POIDocument.html#validateInPlaceWritePossible--">validateInPlaceWritePossible</a>,
                                    <a href="../../../../../org/apache/poi/POIDocument.html#writeProperties--">writeProperties</a>,
                                    <a href="../../../../../org/apache/poi/POIDocument.html#writeProperties-org.apache.poi.poifs.filesystem.POIFSFileSystem-">writeProperties</a>,
                                    <a href="../../../../../org/apache/poi/POIDocument.html#writeProperties-org.apache.poi.poifs.filesystem.POIFSFileSystem-java.util.List-">writeProperties</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSLFSlideShowImpl-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HSLFSlideShowImpl</h4>
                                <pre>public&nbsp;HSLFSlideShowImpl(java.lang.String&nbsp;fileName)
                  throws java.io.IOException</pre>
                                <div class="block">Constructs a Powerpoint document from fileName. Parses the document
                                    and places all the important stuff into data structures.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>fileName</code> - The name of the file to read.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if there is a problem while parsing the
                                        document.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HSLFSlideShowImpl-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HSLFSlideShowImpl</h4>
                                <pre>public&nbsp;HSLFSlideShowImpl(java.io.InputStream&nbsp;inputStream)
                  throws java.io.IOException</pre>
                                <div class="block">Constructs a Powerpoint document from an input stream. Parses the
                                    document and places all the important stuff into data structures.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>inputStream</code> - the source of the data</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if there is a problem while parsing the
                                        document.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HSLFSlideShowImpl-org.apache.poi.poifs.filesystem.POIFSFileSystem-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HSLFSlideShowImpl</h4>
                                <pre>public&nbsp;HSLFSlideShowImpl(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;filesystem)
                  throws java.io.IOException</pre>
                                <div class="block">Constructs a Powerpoint document from a POIFS Filesystem. Parses the
                                    document and places all the important stuff into data structures.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>filesystem</code> - the POIFS FileSystem to read from</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if there is a problem while parsing the
                                        document.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HSLFSlideShowImpl-org.apache.poi.poifs.filesystem.DirectoryNode-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSLFSlideShowImpl</h4>
                                <pre>public&nbsp;HSLFSlideShowImpl(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;dir)
                  throws java.io.IOException</pre>
                                <div class="block">Constructs a Powerpoint document from a specific point in a
                                    POIFS Filesystem. Parses the document and places all the
                                    important stuff into data structures.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>dir</code> - the POIFS directory to read from</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if there is a problem while parsing the
                                        document.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="create--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>create</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFSlideShowImpl</a>&nbsp;create()</pre>
                                <div class="block">Constructs a new, empty, Powerpoint document.</div>
                            </li>
                        </ul>
                        <a name="getDocumentEncryptionAtom--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDocumentEncryptionAtom</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/DocumentEncryptionAtom.html"
                                        title="class in org.apache.poi.hslf.record">DocumentEncryptionAtom</a>&nbsp;getDocumentEncryptionAtom()</pre>
                            </li>
                        </ul>
                        <a name="normalizeRecords--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>normalizeRecords</h4>
                                <pre>public&nbsp;void&nbsp;normalizeRecords()</pre>
                                <div class="block">remove duplicated UserEditAtoms and merge PersistPtrHolder, i.e.
                                    remove document edit history
                                </div>
                            </li>
                        </ul>
                        <a name="updateAndWriteDependantRecords-java.io.OutputStream-java.util.Map-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>updateAndWriteDependantRecords</h4>
                                <pre>public&nbsp;void&nbsp;updateAndWriteDependantRecords(java.io.OutputStream&nbsp;os,
                                           java.util.Map&lt;<a
                                            href="../../../../../org/apache/poi/hslf/record/RecordTypes.html"
                                            title="enum in org.apache.poi.hslf.record">RecordTypes</a>,<a
                                            href="../../../../../org/apache/poi/hslf/record/PositionDependentRecord.html"
                                            title="interface in org.apache.poi.hslf.record">PositionDependentRecord</a>&gt;&nbsp;interestingRecords)
                                    throws java.io.IOException</pre>
                                <div class="block">This is a helper functions, which is needed for adding new position
                                    dependent records
                                    or finally write the slideshow to a file.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>os</code> - the stream to write to, if null only the references are
                                        updated
                                    </dd>
                                    <dd><code>interestingRecords</code> - a map of interesting records (PersistPtrHolder
                                        and UserEditAtom)
                                        referenced by their RecordType. Only the very last of each type will be saved to
                                        the map.
                                        May be null, if not needed.
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="write--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>write</h4>
                                <pre>public&nbsp;void&nbsp;write()
           throws java.io.IOException</pre>
                                <div class="block">Writes out the slideshow to the currently open file.
                                    <p>
                                    <p>This will fail (with an <code>IllegalStateException</code> if the
                                        slideshow was opened read-only, opened from an <code>InputStream</code>
                                        instead of a File, or if this is not the root document. For those cases,
                                        you must use <a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html#write-java.io.OutputStream-"><code>write(OutputStream)</code></a>
                                        or
                                        <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html#write-java.io.File-"><code>write(File)</code></a>
                                        to
                                        write to a brand new document.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a href="../../../../../org/apache/poi/POIDocument.html#write--">write</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/POIDocument.html"
                                                            title="class in org.apache.poi">POIDocument</a></code></dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - thrown on errors writing to the file</dd>
                                    <dd><code>java.lang.IllegalStateException</code> - if this isn't from a writable
                                        File
                                    </dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.15 beta 3</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="write-java.io.File-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>write</h4>
                                <pre>public&nbsp;void&nbsp;write(java.io.File&nbsp;newFile)
           throws java.io.IOException</pre>
                                <div class="block">Writes out the slideshow file the is represented by an instance
                                    of this class.
                                    <p>This will write out only the common OLE2 streams. If you require all
                                        streams to be written out, use <a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html#write-java.io.File-boolean-"><code>write(File,
                                            boolean)</code></a>
                                        with <code>preserveNodes</code> set to <code>true</code>.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/POIDocument.html#write-java.io.File-">write</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/POIDocument.html"
                                                            title="class in org.apache.poi">POIDocument</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>newFile</code> - The File to write to.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - If there is an unexpected IOException from
                                        writing to the File
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="write-java.io.File-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>write</h4>
                                <pre>public&nbsp;void&nbsp;write(java.io.File&nbsp;newFile,
                  boolean&nbsp;preserveNodes)
           throws java.io.IOException</pre>
                                <div class="block">Writes out the slideshow file the is represented by an instance
                                    of this class.
                                    If you require all streams to be written out (eg Marcos, embeded
                                    documents), then set <code>preserveNodes</code> set to <code>true</code></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>newFile</code> - The File to write to.</dd>
                                    <dd><code>preserveNodes</code> - Should all OLE2 streams be written back out, or
                                        only the common ones?
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - If there is an unexpected IOException from
                                        writing to the File
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="write-java.io.OutputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>write</h4>
                                <pre>public&nbsp;void&nbsp;write(java.io.OutputStream&nbsp;out)
           throws java.io.IOException</pre>
                                <div class="block">Writes out the slideshow file the is represented by an instance
                                    of this class.
                                    <p>This will write out only the common OLE2 streams. If you require all
                                        streams to be written out, use <a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html#write-java.io.OutputStream-boolean-"><code>write(OutputStream,
                                            boolean)</code></a>
                                        with <code>preserveNodes</code> set to <code>true</code>.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/POIDocument.html#write-java.io.OutputStream-">write</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/POIDocument.html"
                                                            title="class in org.apache.poi">POIDocument</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>out</code> - The OutputStream to write to.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - If there is an unexpected IOException from
                                        the passed in OutputStream
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="write-java.io.OutputStream-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>write</h4>
                                <pre>public&nbsp;void&nbsp;write(java.io.OutputStream&nbsp;out,
                  boolean&nbsp;preserveNodes)
           throws java.io.IOException</pre>
                                <div class="block">Writes out the slideshow file the is represented by an instance
                                    of this class.
                                    If you require all streams to be written out (eg Marcos, embeded
                                    documents), then set <code>preserveNodes</code> set to <code>true</code></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>out</code> - The OutputStream to write to.</dd>
                                    <dd><code>preserveNodes</code> - Should all OLE2 streams be written back out, or
                                        only the common ones?
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - If there is an unexpected IOException from
                                        the passed in OutputStream
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getEncryptionInfo--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEncryptionInfo</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html"
                                                    title="class in org.apache.poi.poifs.crypt">EncryptionInfo</a>&nbsp;getEncryptionInfo()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/POIDocument.html#getEncryptionInfo--">getEncryptionInfo</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/POIDocument.html"
                                                            title="class in org.apache.poi">POIDocument</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the encryption info if the document is encrypted, otherwise <code>null</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="appendRootLevelRecord-org.apache.poi.hslf.record.Record-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>appendRootLevelRecord</h4>
                                <pre>public&nbsp;int&nbsp;appendRootLevelRecord(<a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a>&nbsp;newRecord)</pre>
                                <div class="block">Adds a new root level record, at the end, but before the last
                                    PersistPtrIncrementalBlock.
                                </div>
                            </li>
                        </ul>
                        <a name="addPicture-org.apache.poi.hslf.usermodel.HSLFPictureData-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addPicture</h4>
                                <pre>public&nbsp;int&nbsp;addPicture(<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a>&nbsp;img)</pre>
                                <div class="block">Add a new picture to this presentation.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>offset of this picture in the Pictures stream</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRecords--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRecords</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hslf/record/Record.html"
                                                    title="class in org.apache.poi.hslf.record">Record</a>[]&nbsp;getRecords()</pre>
                                <div class="block">Returns an array of all the records found in the slideshow</div>
                            </li>
                        </ul>
                        <a name="getUnderlyingBytes--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getUnderlyingBytes</h4>
                                <pre>public&nbsp;byte[]&nbsp;getUnderlyingBytes()</pre>
                                <div class="block">Returns an array of the bytes of the file. Only correct after a
                                    call to open or write - at all other times might be wrong!
                                </div>
                            </li>
                        </ul>
                        <a name="getCurrentUserAtom--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCurrentUserAtom</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/CurrentUserAtom.html"
                                        title="class in org.apache.poi.hslf.record">CurrentUserAtom</a>&nbsp;getCurrentUserAtom()</pre>
                                <div class="block">Fetch the Current User Atom of the document</div>
                            </li>
                        </ul>
                        <a name="getPictureData--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPictureData</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a>&gt;&nbsp;getPictureData()</pre>
                                <div class="block">Return list of pictures contained in this presentation</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>list with the read pictures or an empty list if the
                                        presentation doesn't contain pictures.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getEmbeddedObjects--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEmbeddedObjects</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFObjectData.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFObjectData</a>[]&nbsp;getEmbeddedObjects()</pre>
                                <div class="block">Gets embedded object data from the slide show.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the embedded objects.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="close--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>close</h4>
                                <pre>public&nbsp;void&nbsp;close()
           throws java.io.IOException</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/POIDocument.html#close--">POIDocument</a></code></span>
                                </div>
                                <div class="block">Closes the underlying <a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem"><code>POIFSFileSystem</code></a>
                                    from which
                                    the document was read, if any. Has no effect on documents
                                    opened from an InputStream, or newly created ones.<p>

                                        Once <code>close()</code> has been called, no further operations
                                        should be called on the document.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>close</code>&nbsp;in interface&nbsp;<code>java.io.Closeable</code></dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>close</code>&nbsp;in interface&nbsp;<code>java.lang.AutoCloseable</code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a href="../../../../../org/apache/poi/POIDocument.html#close--">close</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/POIDocument.html"
                                                            title="class in org.apache.poi">POIDocument</a></code></dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getEncryptedPropertyStreamName--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getEncryptedPropertyStreamName</h4>
                                <pre>protected&nbsp;java.lang.String&nbsp;getEncryptedPropertyStreamName()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/POIDocument.html#getEncryptedPropertyStreamName--">getEncryptedPropertyStreamName</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/POIDocument.html"
                                                            title="class in org.apache.poi">POIDocument</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the stream name of the property set collection, if the document is encrypted
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSLFSlideShowImpl.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowFactory.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSoundData.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html" target="_top">Frames</a>
        </li>
        <li><a href="HSLFSlideShowImpl.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
